## grml-debootstrap 0.48

=== Makefile ===
all: doc

doc: doc_man doc_html

doc_html: html-stamp

html-stamp: grml-debootstrap.8.txt
	sed -i 's/^include::releasetable-man.txt\[\]/include::releasetable.txt\[\]/' grml-debootstrap.8.txt
	asciidoc -b xhtml11 -a icons grml-debootstrap.8.txt
	touch html-stamp

doc_man: man-stamp

man-stamp: grml-debootstrap.8.txt
	sed -i 's/^include::releasetable.txt\[\]/include::releasetable-man.txt\[\]/' grml-debootstrap.8.txt
	asciidoc -d manpage -b docbook grml-debootstrap.8.txt
	xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl grml-debootstrap.8.xml
	touch man-stamp

online: all
	scp grml-debootstrap.8.html grml:/var/www/grml/grml-debootstrap/index.html
	scp images/icons/*          grml:/var/www/grml/grml-debootstrap/images/icons/
	scp images/screenshot.png   grml:/var/www/grml/grml-debootstrap/images/

clean:
	rm -rf grml-debootstrap.8.html grml-debootstrap.8.xml grml-debootstrap.8 html-stamp man-stamp

## grml-debootstrap 0.81

=== Makefile ===
BASH_SCRIPTS = grml-debootstrap
SHELL_SCRIPTS = chroot-script
DOCBOOK_XML=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

all: doc

doc: doc_man doc_html

doc_html: html-stamp

html-stamp: grml-debootstrap.8.txt
	sed -i 's/^include::releasetable-man.txt\[\]/include::releasetable.txt\[\]/' grml-debootstrap.8.txt
	asciidoc -b xhtml11 -a icons grml-debootstrap.8.txt
	touch html-stamp

doc_man: man-stamp

man-stamp: grml-debootstrap.8.txt
	sed -i 's/^include::releasetable.txt\[\]/include::releasetable-man.txt\[\]/' grml-debootstrap.8.txt
	asciidoc -d manpage -b docbook grml-debootstrap.8.txt
	xsltproc --nonet --stringparam man.base.url.for.relative.links http://grml.org/grml-debootstrap/ \
		$(DOCBOOK_XML) grml-debootstrap.8.xml
	touch man-stamp

shellcheck:
	@echo -n "Checking for shell syntax errors"; \
	for SCRIPT in $(SHELL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		sh -n $${SCRIPT} || exit ; \
		echo -n "."; \
	done; \
	for SCRIPT in $(BASH_SCRIPTS) ; do \
		test -r $${SCRIPT} || continue ; \
		bash -n $${SCRIPT} || exit ; \
		echo -n "."; \
	done; \
	echo " done."

install:
	mkdir -p $(DESTDIR)/etc/debootstrap/
	mkdir -p $(DESTDIR)/etc/debootstrap/extrapackages
	mkdir -p $(DESTDIR)/usr/sbin/
	mkdir -p $(DESTDIR)/etc/zsh/completion.d/
	mkdir -p $(DESTDIR)/usr/share/grml-debootstrap/functions/
	install -m 644 config           $(DESTDIR)/etc/debootstrap/
	install -m 644 devices.tar.gz   $(DESTDIR)/etc/debootstrap/
	install -m 644 locale.gen       $(DESTDIR)/etc/debootstrap/
	install -m 644 packages         $(DESTDIR)/etc/debootstrap/
	install -m 755 chroot-script    $(DESTDIR)/etc/debootstrap/
	install -m 755 grml-debootstrap $(DESTDIR)/usr/sbin/
	install -m 644 zsh-completion   $(DESTDIR)/etc/zsh/completion.d/_grml-debootstrap
	install -m 644 cmdlineopts.clp  $(DESTDIR)/usr/share/grml-debootstrap/functions/cmdlineopts.clp

clean:
	rm -rf grml-debootstrap.8.html grml-debootstrap.8.xml grml-debootstrap.8 html-stamp man-stamp packer/local_dir/

testrun:
	cd ./packer && $(MAKE) compile && $(MAKE) jessie

vagrant:
	vagrant up

## grml-debootstrap 0.83

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,6 @@
 	mkdir -p $(DESTDIR)/etc/debootstrap/extrapackages
 	mkdir -p $(DESTDIR)/usr/sbin/
 	mkdir -p $(DESTDIR)/etc/zsh/completion.d/
-	mkdir -p $(DESTDIR)/usr/share/grml-debootstrap/functions/
 	install -m 644 config           $(DESTDIR)/etc/debootstrap/
 	install -m 644 devices.tar.gz   $(DESTDIR)/etc/debootstrap/
 	install -m 644 locale.gen       $(DESTDIR)/etc/debootstrap/
@@ -49,7 +48,6 @@
 	install -m 755 chroot-script    $(DESTDIR)/etc/debootstrap/
 	install -m 755 grml-debootstrap $(DESTDIR)/usr/sbin/
 	install -m 644 zsh-completion   $(DESTDIR)/etc/zsh/completion.d/_grml-debootstrap
-	install -m 644 cmdlineopts.clp  $(DESTDIR)/usr/share/grml-debootstrap/functions/cmdlineopts.clp
 
 clean:
 	rm -rf grml-debootstrap.8.html grml-debootstrap.8.xml grml-debootstrap.8 html-stamp man-stamp packer/local_dir/

## grml-debootstrap 0.96

=== Makefile ===
--- 
+++ 
@@ -9,16 +9,14 @@
 doc_html: html-stamp
 
 html-stamp: grml-debootstrap.8.txt
-	sed -i 's/^include::releasetable-man.txt\[\]/include::releasetable.txt\[\]/' grml-debootstrap.8.txt
 	asciidoc -b xhtml11 -a icons grml-debootstrap.8.txt
 	touch html-stamp
 
 doc_man: man-stamp
 
 man-stamp: grml-debootstrap.8.txt
-	sed -i 's/^include::releasetable.txt\[\]/include::releasetable-man.txt\[\]/' grml-debootstrap.8.txt
 	asciidoc -d manpage -b docbook grml-debootstrap.8.txt
-	xsltproc --nonet --stringparam man.base.url.for.relative.links http://grml.org/grml-debootstrap/ \
+	xsltproc --nonet --stringparam man.base.url.for.relative.links https://grml.org/grml-debootstrap/ \
 		$(DOCBOOK_XML) grml-debootstrap.8.xml
 	touch man-stamp
 
@@ -40,14 +38,14 @@
 	mkdir -p $(DESTDIR)/etc/debootstrap/
 	mkdir -p $(DESTDIR)/etc/debootstrap/extrapackages
 	mkdir -p $(DESTDIR)/usr/sbin/
-	mkdir -p $(DESTDIR)/etc/zsh/completion.d/
+	mkdir -p $(DESTDIR)/usr/share/zsh/vendor-completions
 	install -m 644 config           $(DESTDIR)/etc/debootstrap/
 	install -m 644 devices.tar.gz   $(DESTDIR)/etc/debootstrap/
 	install -m 644 locale.gen       $(DESTDIR)/etc/debootstrap/
 	install -m 644 packages         $(DESTDIR)/etc/debootstrap/
 	install -m 755 chroot-script    $(DESTDIR)/etc/debootstrap/
 	install -m 755 grml-debootstrap $(DESTDIR)/usr/sbin/
-	install -m 644 zsh-completion   $(DESTDIR)/etc/zsh/completion.d/_grml-debootstrap
+	install -m 644 zsh-completion   $(DESTDIR)/usr/share/zsh/vendor-completions/_grml-debootstrap
 
 clean:
 	rm -rf grml-debootstrap.8.html grml-debootstrap.8.xml grml-debootstrap.8 html-stamp man-stamp packer/local_dir/

## grml-debootstrap 0.105

=== debian/changelog ===
grml-debootstrap (0.105) unstable; urgency=medium

  The "farewell lenny, squeeze + wheezy; hello arm64" release

  [ Michael Prokop ]
  * [4405248] packer: update to Grml 2022.11 ISO
  * [2708f44] Don't install busybox any longer by default.
    Thanks to Patrick Schleizer + Chris Hofstaedtler

  [ Daniel Winzen ]
  * [f4d3906] Add EFI support for VMs
  * [39685c7] Add support for legacy BIOS boot to efi VM images

  [ Patrick Schleizer ]
  * [ef3019b] add mmdebstrap as alternative to (c)debootstrap
  * [c1d92f2] remove unnecessary unicode from config
  * [438ca09] remove unnecessary unicode from chroot-script
  * [e8494a4] disable prompt/wait by tune2fs
  * [1e27d8e] improve error handling
  * [256bdb7] debian: add dosfstools to Depends for EFI use case
  * [dcccf11] code simplification: drop NOP usage of eend 0
  * [b9035f6] Avoid intermediary installation of initramfs-tools when
    using INITRD_GENERATOR=dracut.

  [ GavinPacini ]
  * [670035b] Initial arm64 support

  [ Chris Hofstaedtler ]
  * [7f5e351] grml-debootstrap: support BOOT_APPEND in --vm mode
  * [e53df19] GitHub Actions: build and test grml-debootstrap in PRs
  * [46d50de] README: replace build status badge
  * [dc0052a] kernel selection: drop pre-jessie code
  * [f01e4a2] kernel selection: drop 2.6 specific kernel image support
  * [94b63ad] grub_install: remove pre-jessie code
  * [3bcafe4] grub_install: use same method for checking grub-install and
    update-grub
  * [0a759e7] d/control: record (actual) minimum debootstrap version
  * [ce80d13] chrootmirror: remove pre-jessie code
  * [0cf7d8e] swraid: remove code for lenny
  * [ac6c869] packer: remove pre-jessie code
  * [ed7ad07] Drop support for installing releases before jessie
  * [1f6141f] Stop using sed when creating CHROOT_VARIABLES
  * [045542c] Skip EFI support check if --vm is given
  * [511ca11] shellcheck: fix some warnings
  * [dbfbaac] GitHub Actions: add shellcheck to PR workflow
  * [bd7e57f] shellcheck: ignore SC2001,SC2181
  * [8671b4a] Remove manual setup of /dev contents
  * [64f1f16] Remove shadowconfig call
  * [2f15cb7] Remove empty shell-based test suite
  * [84a613c] ci: disable progress output from apt-get
  * [ebcba7a] ci: fix shellcheck for test scripts

 -- Michael Prokop <mika@grml.org>  Thu, 07 Dec 2023 18:15:09 +0100

grml-debootstrap (0.104) unstable; urgency=medium

  [ Michael Prokop ]
  * [b379e24] GRUB: use persistent device names under /dev/disk/by-id/ for
    install_devices

  [ Giovanni Rosa ]
  * [64d4081] Fix for Dockerfile smell DL3059

 -- Michael Prokop <mika@grml.org>  Fri, 08 Sep 2023 13:14:50 +0200

grml-debootstrap (0.103) unstable; urgency=medium

  * [bbb2ea0] Disable ext4 metadata_csum_seed for Debian releases older
    than bookworm (Closes: #1031416)

 -- Michael Prokop <mika@grml.org>  Mon, 20 Feb 2023 11:40:07 +0100

grml-debootstrap (0.102) unstable; urgency=medium

  The "¡hola bookworm!" release

  * [97308cd] Support new non-free repository component for Debian
    bookworm and newer
  * [4a2a0b2] Use bookworm as new default release + update release list
  * [d839c3c] Update copyright information
  * [df8c043] Update Vcs-* headers + copyright source to use github.com
  * [3a8d2b7] packer: clone git repository from github.com
  * [594d9d1] docker: retrieve vimrc + zshrc from github
  * [d71aaf4] Bump Standards-Version to 4.6.2

 -- Michael Prokop <mika@grml.org>  Mon, 06 Feb 2023 18:32:46 +0100

grml-debootstrap (0.101) unstable; urgency=medium

  [ Daniel Winzen ]
  * [d60b372] Add dracut support
  * [4deb6e8] Add option to pass extra options to initrd generator
  * [79f5f42] Make dracut images reproducible and use long form of --no-
    hostonly

  [ Michael Prokop ]
  * [78eb32c] packer: add support for Debian/bookworm
  * [8b44fbb] packer: update Grml ISO to 2022.11-rc1
  * [4c49de9] Ensure to have filesystem tools installed. Thanks to Chris
    Hofstaedtler for the bug report
  * [befae5a] Use "errors=remount-ro" fstab option only within supported
    filesystems. Thanks to Chris Hofstaedtler for the bug report

 -- Michael Prokop <mika@grml.org>  Fri, 25 Nov 2022 17:12:51 +0100

grml-debootstrap (0.100) unstable; urgency=medium

  * [43ea7e2] Drop leftover KEYRING code
  * [ea978f6] Fix Grml repository usage. Thanks to Karl Voit for the bug
    report
  * [7b2b4c8] VMs: create partition with alignment starting at 4MiB +
    ending at 100%. Thanks to David Gnedt for the bug report and analysis,
    Darshaka Pathirana and Chris Hofstaedtler for further information and
    feedback

 -- Michael Prokop <mika@grml.org>  Mon, 24 Jan 2022 17:17:29 +0100

grml-debootstrap (0.99) unstable; urgency=medium

  * [0d4c089] packer: update VBoxGuestAdditions to v6.1.22 + Grml ISO to
    latest stable release (2021.07)
  * [86f83aa] Install dbus by default
  * [1ca3ec5] EFI support: fix for grub-install usage with efivarfs
  * [b45ae94] Bump Standards-Version to 4.6.0

 -- Michael Prokop <mika@grml.org>  Mon, 23 Aug 2021 16:21:44 +0200

grml-debootstrap (0.98) unstable; urgency=medium

  [ Paul Menzel ]
  * [1c4b3b0] Correct indentation in switch statement
  * [8995409] Support XFS in VMs by including xfs driver in grub-mkimage
  * [f6d7aac] Remove *os-prober* from shipped packages list
  * [457e3e4] config: Replace em dash — by `--` for switch in comment

  [ Michael Prokop ]
  * [b047071] Fix git version detection when executing in foreign git
    repository. Thanks to Paul Menzel for the bugreport

 -- Michael Prokop <mika@grml.org>  Fri, 09 Jul 2021 09:08:45 +0200

grml-debootstrap (0.97) unstable; urgency=medium

  * [72ce6b6] packer: update VBoxGuestAdditions to v6.1.20
  * [4d625ea] fake-uname: fix gcc argument order and improve preloaded
    shared library. Thanks to Guillem Jover
  * [360e057] Bail out if architecture isn't set nor can be identified
    automatically
  * [9ae6b12] Avoid installation of os-proper in VM environments
  * [d91d9f3] EFI support: check + mount efivarfs to support Debian


## grml-debootstrap 0.106

=== debian/changelog ===
grml-debootstrap (0.106) unstable; urgency=medium

  [ Patrick Schleizer ]
  - [1a229d0..cc891df] Improve error handling (PR #255)
  * [81d7587] consistently use ESP label for the EFI system partition
  * [9706bd9] improved error handling, removed RC=$? noops
  * [48f3096] remove noops "eend $RC"
  * [cbd20a0] consistently use same code path for umounting

  [ Michael Prokop ]
  * [19dc059] coding style: use '[' instead of 'test'
  * [325a888] Install busybox On Debian/stretch as it's required for
    initramfs. Thanks to Patrick Schleizer <adrelanos@whonix.org> for
    spotting and reporting

  [ Chris Hofstaedtler ]
  * [090612a] ci: enable test-build on pushes to branches and periodic

 -- Michael Prokop <mika@grml.org>  Sat, 23 Dec 2023 20:00:42 +0100

## grml-debootstrap 0.108

=== Makefile ===
--- 
+++ 
@@ -40,9 +40,9 @@
 	mkdir -p $(DESTDIR)/usr/sbin/
 	mkdir -p $(DESTDIR)/usr/share/zsh/vendor-completions
 	install -m 644 config           $(DESTDIR)/etc/debootstrap/
-	install -m 644 devices.tar.gz   $(DESTDIR)/etc/debootstrap/
 	install -m 644 locale.gen       $(DESTDIR)/etc/debootstrap/
 	install -m 644 packages         $(DESTDIR)/etc/debootstrap/
+	install -m 644 packages-arm64   $(DESTDIR)/etc/debootstrap/
 	install -m 755 chroot-script    $(DESTDIR)/etc/debootstrap/
 	install -m 755 grml-debootstrap $(DESTDIR)/usr/sbin/
 	install -m 644 zsh-completion   $(DESTDIR)/usr/share/zsh/vendor-completions/_grml-debootstrap

=== packer/Makefile ===
GRML_DEBOOTSTRAP_VERSION=latest
GRML_DEBOOTSTRAP_LOCAL_PATH=$(shell pwd)/local_dir

CFLAGS ?= -ggdb -O2 -Wall -Wextra -Wno-unused-parameter
CFLAGS += -fPIC -fvisibility=hidden
LDLIBS ?=
LDLIBS += -ldl

PLUGIN = fake-uname.so

$(PLUGIN): fake-uname.c
	$(CC) $(CFLAGS) $(LDFLAGS) $< $(LDLIBS) -o $@ -shared

UNAME_CHECK = LD_PRELOAD="$(CURDIR)/$(PLUGIN)" uname

check: $(PLUGIN)
	echo "$(UNAME_CHECK)"
	test "0.0.0" = "$(shell $(UNAME_CHECK) -r)"
	test "1.2.3" = "$(shell UTS_RELEASE="1.2.3" $(UNAME_CHECK) -r)"

install:
	cd .. && make DESTDIR=packer/local_dir install

clean:
	$(RM) *.o *.so
	rm -rf local_dir

# Debian 12
bookworm: clean fake-uname.so install
	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json

# Debian 11
bullseye: clean fake-uname.so install
	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json

# Debian 10
buster: clean fake-uname.so install
	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json

# Debian 9
stretch: clean fake-uname.so install
	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json

# Debian 8
jessie: clean fake-uname.so install
	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json

.PHONY: compile bullseye buster stretch jessie
.NOTPARALLEL:

=== debian/changelog ===
grml-debootstrap (0.108) unstable; urgency=medium

  [ Darshaka Pathirana ]
  * [811c294] Move try_umount above cleanup()

 -- Michael Prokop <mika@grml.org>  Sat, 24 Feb 2024 10:55:23 +0100

grml-debootstrap (0.107) unstable; urgency=medium

  [ Antoine Beaupré ]
  * [cfa1651] fix debootstrap error handler

 -- Michael Prokop <mika@grml.org>  Fri, 02 Feb 2024 12:31:41 +0100

=== debian/control ===
Source: grml-debootstrap
Section: admin
Priority: optional
Maintainer: Grml Team <team@grml.org>
Uploaders:
 Michael Prokop <mika@debian.org>,
 Alexander Wirt <formorer@debian.org>,
 Chris Hofstaedtler <zeha@debian.org>,
 Ulrich Dangel <mru@spamt.net>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 asciidoc,
 docbook-xsl,
 shunit2,
 xsltproc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://grml.org/grml-debootstrap/
Vcs-Git: https://github.com/grml/grml-debootstrap.git
Vcs-Browser: https://github.com/grml/grml-debootstrap

Package: grml-debootstrap
Architecture: all
Depends:
 bash (>= 4.3-11+deb8u2),
 debian-archive-keyring,
 debootstrap (>= 1.0.65) | cdebootstrap (>= 0.3.16) | mmdebstrap,
 dosfstools,
 e2fsprogs,
 fdisk | util-linux (<< 2.29.2-3~),
 gawk,
 kmod,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dialog,
 kpartx,
 parted,
 qemu-utils,
Description: wrapper around debootstrap for installing pure Debian
 Provides a wrapper suite around debootstrap, cdebootstrap, mmdebstrap
 to ease installation of a pure Debian system.
 .
 Configuration can be done on the command line, in a dialog frontend
 or in /etc/debootstrap/config. You will get a pure Debian system
 installed on the specified device or directory, or directly into
 an image file suitable for Virtual Machine use.

## grml-debootstrap 0.109

=== debian/changelog ===
grml-debootstrap (0.109) unstable; urgency=medium

  [ Michael Prokop ]
  * [9b2cf83] mkfs: avoid blockdev failing to re-read partition table.
    Thanks to Darshaka Pathirana for bug report and initial investigation,
    and Chris Hofstaedtler for feedback
  * [430aa47] GitHub Actions: raise upload-artifact + download-artifact to
    v4. Thanks to Darshaka Pathirana
  * [9272096] tests: provide README
  * [bffadf3] tests/build-vm-and-test.sh: install curl
  * [95bd689] tests/serial-console-connection: use python3 in shebang
  * [844419c] tests/serial-console-connection: update default hostname
  * [13e2a39] tests: Try to capture screenshot via VNC if serial-console-
    connection fails

  [ Darshaka Pathirana ]
  * [014c7df] GitHub Actions: Add workflow_dispatch trigger

  [ Chris Hofstaedtler ]
  * [e591bd1] Tag installed policy-rc.d file
  * [c530e15] tests/serial-console-connection: add timeout (default to
    3min)
  * [e129b3c] tests/serial-console-connection: automatically format
    defaults in --help
  * [0e7cffd] tests/serial-console-connection: remove unused imports
  * [235670b] tests/serial-console-connection: reformat using black
  * [25c56d2] Disable ext4 feature orphan_file for older releases
  * [a0f30f1] actions: archive VM image on test failure
  * [36dbe9b] shellcheck: restrict shellcheck-tests to tests/*.sh files
  * [d2dd4f1] tests/test-vm.sh: fix shellcheck SC2086
  * [2ae7c2b] tests: set msize=512000 option for 9pfs

 -- Michael Prokop <mika@grml.org>  Fri, 06 Sep 2024 17:45:35 +0200

## grml-debootstrap 0.111

=== debian/changelog ===
grml-debootstrap (0.111) unstable; urgency=medium

  [ Michael Prokop ]
  * [7ef3249] interactive mode: ignore failures when identifying file system fails

 -- Chris Hofstaedtler <ch@grml.org>  Sat, 07 Dec 2024 16:09:19 +0100

grml-debootstrap (0.110) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [8da0f25] Drop support for debian2hd / AUTOINSTALL
  * [d558ca5] shellcheck: use parameter expansion style for $VERBOSE
  * [1de02ac] shellcheck: avoid if-then-else warning
  * [cdd9896] shellcheck: quote vars passed to dialog
  * [18c3508] prompt_for_release: RELEASE is already defaulted
  * [5bdbcfd] shellcheck: add all defaulted vars for chroot-script
  * [e401995] Switch default debootstrap tool to mmdebstrap
  * [e2806da] Drop support for cdebootstrap
  * [5f5f3da] Add .github/FUNDING.yml

  [ Michael Prokop ]
  * [8ba8be4] Ship debian/gbp.conf for gbp usage
  * [50c4163] debian: update Uploaders field

  [ Patrick Schleizer ]
  * [be5c2e8] Implement clean_chroot to avoid host env variables like TMP
    to leak into the chroot

 -- Michael Prokop <mika@grml.org>  Fri, 22 Nov 2024 16:28:59 +0100

## grml-debootstrap 0.112

=== packer/Makefile ===
--- 
+++ 
@@ -37,13 +37,5 @@
 buster: clean fake-uname.so install
 	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json
 
-# Debian 9
-stretch: clean fake-uname.so install
-	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json
-
-# Debian 8
-jessie: clean fake-uname.so install
-	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json
-
-.PHONY: compile bullseye buster stretch jessie
+.PHONY: compile bullseye buster
 .NOTPARALLEL:

=== debian/changelog ===
grml-debootstrap (0.112) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [fdcbead] Mark packages as automatically installed
  * [8b9d174] Update /etc/timezone only if it exists
  * [754be6f] NEWS: record jessie, stretch support removal
  * [30788c5] NEWS: drop entries from 2015 and back

  [ Patrick Schleizer ]
  * [794d55c] Remove support for Debian `jessie` and `stretch`

 -- Chris Hofstaedtler <ch@grml.org>  Tue, 21 Jan 2025 00:43:09 +0100

## grml-debootstrap 0.113

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	rm -rf grml-debootstrap.8.html grml-debootstrap.8.xml grml-debootstrap.8 html-stamp man-stamp packer/local_dir/
 
 testrun:
-	cd ./packer && $(MAKE) compile && $(MAKE) jessie
+	cd ./packer && $(MAKE) compile && $(MAKE) buster
 
 vagrant:
 	vagrant up

=== debian/changelog ===
grml-debootstrap (0.113) unstable; urgency=medium

  * [394b232] Follow rename of grml-debian-keyring to grml-keyring

 -- Chris Hofstaedtler <ch@grml.org>  Mon, 27 Jan 2025 17:37:31 +0100

## grml-debootstrap 0.114

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,6 @@
 	install -m 644 config           $(DESTDIR)/etc/debootstrap/
 	install -m 644 locale.gen       $(DESTDIR)/etc/debootstrap/
 	install -m 644 packages         $(DESTDIR)/etc/debootstrap/
-	install -m 644 packages-arm64   $(DESTDIR)/etc/debootstrap/
 	install -m 755 chroot-script    $(DESTDIR)/etc/debootstrap/
 	install -m 755 grml-debootstrap $(DESTDIR)/usr/sbin/
 	install -m 644 zsh-completion   $(DESTDIR)/usr/share/zsh/vendor-completions/_grml-debootstrap

=== debian/changelog ===
grml-debootstrap (0.114) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [2a2fe04] Use mmdebstrap as our only debootstrap implementation
  * [b5068d2] Drop --iso support
  * [e6baa9c] Stop installing acpi-support-base by default
  * [7fc2b60] Stop installing separate packages file for arm64
  * [698809d] preparechroot: align interfaces(5) defauls with ifupdown
  * [fd2b0ad] Set default release to trixie
  * [1c04071] Remove unused mkfs_supports_metadata_csum variable
  * [bcde0bb] Disable cleanup of APT data and disable chroot-empty check
  * [8d76dfc] grml-debootstrap: remove stray whitespace
  * [21d5c84] doc: merge releasetable.txt into grml-debootstrap.8.txt
  * [86c2c7c] Add trixie as Debian version 13
  * [0901e1f] Remove grub* from packages list
  * [7f24b9a] arm64: really install grub
  * [2839682] CI: test on arm hosts

  [ Patrick Schleizer ]
  * [07ba800] use LC_ALL=C instead of LANG=C
  * [428a8a7] no longer set redundant environment variables LANG=C and LANGUAGE=C inside chroot

 -- Chris Hofstaedtler <ch@grml.org>  Mon, 10 Feb 2025 13:57:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,7 @@
 Maintainer: Grml Team <team@grml.org>
 Uploaders:
  Michael Prokop <mika@debian.org>,
- Alexander Wirt <formorer@debian.org>,
  Chris Hofstaedtler <zeha@debian.org>,
- Ulrich Dangel <mru@spamt.net>,
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Indep:
@@ -25,7 +23,7 @@
 Depends:
  bash (>= 4.3-11+deb8u2),
  debian-archive-keyring,
- debootstrap (>= 1.0.65) | cdebootstrap (>= 0.3.16) | mmdebstrap,
+ mmdebstrap,
  dosfstools,
  e2fsprogs,
  fdisk | util-linux (<< 2.29.2-3~),
@@ -38,9 +36,9 @@
  kpartx,
  parted,
  qemu-utils,
-Description: wrapper around debootstrap for installing pure Debian
- Provides a wrapper suite around debootstrap, cdebootstrap, mmdebstrap
- to ease installation of a pure Debian system.
+Description: installer for pure Debian
+ Installation program for Debian, for bare-metal and virtual
+ machines.
  .
  Configuration can be done on the command line, in a dialog frontend
  or in /etc/debootstrap/config. You will get a pure Debian system

## grml-debootstrap 0.116

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
-BASH_SCRIPTS = grml-debootstrap
-SHELL_SCRIPTS = chroot-script
+BASH_SCRIPTS = grml-debootstrap chroot-script
 DOCBOOK_XML=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl
 
 all: doc
@@ -22,11 +21,6 @@
 
 shellcheck:
 	@echo -n "Checking for shell syntax errors"; \
-	for SCRIPT in $(SHELL_SCRIPTS); do \
-		test -r $${SCRIPT} || continue ; \
-		sh -n $${SCRIPT} || exit ; \
-		echo -n "."; \
-	done; \
 	for SCRIPT in $(BASH_SCRIPTS) ; do \
 		test -r $${SCRIPT} || continue ; \
 		bash -n $${SCRIPT} || exit ; \

=== debian/changelog ===
grml-debootstrap (0.116) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * [2891f17] Improve hybrid bootloader and arm64 UEFI support

  [ Chris Hofstaedtler ]
  * [fc97d10] Drop support for Debian's "i386" port
  * [f2ebc18] d/control: drop fdisk | util-linux alternative
  * [235d390] d/control: drop versioned bash dependency
  * [7a9d8c3] Support https mirrors

 -- Chris Hofstaedtler <ch@grml.org>  Fri, 14 Mar 2025 14:32:59 +0100

grml-debootstrap (0.115) unstable; urgency=medium

  [ Michael Prokop ]
  * [c3b8f4f] Makefile: mark chroot-script as bash script for shellcheck.
    Thanks to Aaron Rainbolt

  [ Chris Hofstaedtler ]
  * [2edb21f] test-vm.sh: appease shellcheck
  * [220b1a1] test-vm: fix qemu warning about autodetecting raw format drive
  * [9631e48] testrunner: be more resilient
  * [5f92043] tests: delegate more to python
  * [d8304df] packages: replace dbus with libpam-systemd
  * [7b3b6aa] packages: replace bzip2 with zstd

 -- Chris Hofstaedtler <ch@grml.org>  Tue, 04 Mar 2025 23:29:18 +0100

=== debian/control ===
--- 
+++ 
@@ -21,12 +21,11 @@
 Package: grml-debootstrap
 Architecture: all
 Depends:
- bash (>= 4.3-11+deb8u2),
  debian-archive-keyring,
  mmdebstrap,
  dosfstools,
  e2fsprogs,
- fdisk | util-linux (<< 2.29.2-3~),
+ fdisk,
  gawk,
  kmod,
  ${misc:Depends},

## grml-debootstrap 0.117

=== debian/changelog ===
grml-debootstrap (0.117) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * [a3048cf] Deduplicate GRUB installation code

 -- Chris Hofstaedtler <ch@grml.org>  Mon, 24 Mar 2025 11:30:11 +0100

## grml-debootstrap 0.119

=== debian/changelog ===
grml-debootstrap (0.119) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [6a1d471] efi_support: drop support for Linux before 3.10
  * [b8a6a2c] efi_support: drop BIOS-mode info

  [ Patrick Schleizer ]
  * [0cfdc33] Replace inline ESC with printf calls

 -- Chris Hofstaedtler <ch@grml.org>  Mon, 07 Apr 2025 12:33:54 +0200

grml-debootstrap (0.118) unstable; urgency=medium

  * [2970ed4] grub: merge swraid and non-swraid code paths
  * [39ca807] grub: show which packages get installed
  * [a0afa91] grub: umount /boot/efi after update-grub
  * [f4bf8a9] grub: drop ARCH=i386 support
  * [f5051be] Set Standards-Version to 4.7.2

 -- Chris Hofstaedtler <ch@grml.org>  Sun, 30 Mar 2025 16:07:42 +0200

## grml-debootstrap 0.120

=== debian/changelog ===
grml-debootstrap (0.120) unstable; urgency=medium

  [ Patrick Schleizer ]
  * [d634a72] fix skipping initrd creation using INITRD=no

  [ Aaron Rainbolt ]
  * [d8ca8f2] Set root partition type UUIDs for VM images according to the
    Discoverable Partition Specification

  [ Michael Prokop ]
  * [0208c8a] Verify that GRUB configuration points to valid block device

 -- Chris Hofstaedtler <ch@grml.org>  Sun, 11 May 2025 18:45:24 +0200

## grml-debootstrap 0.121

=== packer/Makefile ===
--- 
+++ 
@@ -25,6 +25,10 @@
 	$(RM) *.o *.so
 	rm -rf local_dir
 
+# Debian 13
+trixie: clean fake-uname.so install
+	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json
+
 # Debian 12
 bookworm: clean fake-uname.so install
 	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json

=== debian/changelog ===
grml-debootstrap (0.121) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * [b3aeda2] Don't set bogus debconf variable on grub-cloud packages

 -- Chris Hofstaedtler <ch@grml.org>  Wed, 14 May 2025 13:20:54 +0200

## grml-debootstrap 0.122

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	rm -rf grml-debootstrap.8.html grml-debootstrap.8.xml grml-debootstrap.8 html-stamp man-stamp packer/local_dir/
 
 testrun:
-	cd ./packer && $(MAKE) compile && $(MAKE) buster
+	cd ./packer && $(MAKE) && $(MAKE) trixie
 
 vagrant:
 	vagrant up

=== debian/changelog ===
grml-debootstrap (0.122) unstable; urgency=medium

  * [8172dda] Skip udevadm execution on unsupported network interfaces
    like bonding_masters. Thanks to Volodymyr Fedorov
    <vfedorov@sipwise.com>
  * [3c9cba2] Drop support for Debian v10 / buster

 -- Michael Prokop <mika@grml.org>  Fri, 15 Aug 2025 12:17:04 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	make shellcheck
endif

## grml-debootstrap 0.123

=== Makefile ===
--- 
+++ 
@@ -7,14 +7,14 @@
 
 doc_html: html-stamp
 
-html-stamp: grml-debootstrap.8.txt
-	asciidoc -b xhtml11 -a icons grml-debootstrap.8.txt
+html-stamp: grml-debootstrap.8.adoc
+	asciidoc -b xhtml11 -a icons grml-debootstrap.8.adoc
 	touch html-stamp
 
 doc_man: man-stamp
 
-man-stamp: grml-debootstrap.8.txt
-	asciidoc -d manpage -b docbook grml-debootstrap.8.txt
+man-stamp: grml-debootstrap.8.adoc
+	asciidoc -d manpage -b docbook grml-debootstrap.8.adoc
 	xsltproc --nonet --stringparam man.base.url.for.relative.links https://grml.org/grml-debootstrap/ \
 		$(DOCBOOK_XML) grml-debootstrap.8.xml
 	touch man-stamp

=== packer/Makefile ===
--- 
+++ 
@@ -37,9 +37,5 @@
 bullseye: clean fake-uname.so install
 	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json
 
-# Debian 10
-buster: clean fake-uname.so install
-	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json
-
-.PHONY: compile bullseye buster
+.PHONY: trixie bookworm bullseye
 .NOTPARALLEL:

=== debian/changelog ===
grml-debootstrap (0.123) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [f88c07b] Rename asciidoc files to *.adoc
  * [02b0da4] Update GitHub README.md
  * [e4e361a] Add package-build, release GitHub workflows
  * [fdad144] Add dependabot configuration
  * [4341805] d/copyright: remove (old) FSF address

 -- Chris Hofstaedtler <ch@grml.org>  Mon, 03 Nov 2025 13:01:17 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  docbook-xsl,
  shunit2,
  xsltproc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://grml.org/grml-debootstrap/
 Vcs-Git: https://github.com/grml/grml-debootstrap.git

## grml-debootstrap 0.124

=== debian/changelog ===
grml-debootstrap (0.124) unstable; urgency=medium

  * [8ca3b23] Drop support for Debian v11 / bullseye
  * [34c3fa9] package selection: replace isc-dhcp-client with dhcpcd-base
  * [f3299a7] help message: drop incorrect default value

 -- Chris Hofstaedtler <ch@grml.org>  Sun, 25 Jan 2026 17:51:56 +0100

## grml-debootstrap 0.125

=== packer/Makefile ===
--- 
+++ 
@@ -33,9 +33,5 @@
 bookworm: clean fake-uname.so install
 	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json
 
-# Debian 11
-bullseye: clean fake-uname.so install
-	packer build -var debian_version=$@ -var grml_debootstrap_version=$(GRML_DEBOOTSTRAP_VERSION) -var grml_debootstrap_local_path=$(GRML_DEBOOTSTRAP_LOCAL_PATH) debian64.json
-
-.PHONY: trixie bookworm bullseye
+.PHONY: trixie bookworm
 .NOTPARALLEL:

=== debian/changelog ===
grml-debootstrap (0.125) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * [da46e1a] Use deb822 sources format everywhere
  * [9633862] Add Raspberry Pi image generation support
  * [fe244d7] Install default network interfaces config for RPi systems
  * [2ab8815] Add RPi image CI testing

 -- Chris Hofstaedtler <ch@grml.org>  Thu, 12 Feb 2026 23:09:44 +0100
